org.jenkinsci.maven.plugins.hpi

## Class AbstractJettyMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.jenkinsci.maven.plugins.hpi.AbstractJettyMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  AbstractJetty6Mojo

    public abstract class AbstractJettyMojo
    extends org.apache.maven.plugin.AbstractMojo

DO NOT MODIFY. Copied verbatim from Jetty code, just so that Maven's qdox can find all the injection points. All the changes should go to `RunMojo`.

### Field Summary

Fields
`java.lang.String` `PORT_SYSPROPERTY`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractJettyMojo()`

### Method Summary

Methods
`abstract void` `applyJettyXml()`
`abstract void` `checkPomConfiguration()`
`abstract void` `configureScanner()`
`void` `configureWebApplication()` Subclasses should invoke this to setup basic info on the webapp
`abstract JettyPluginServer` `createServer()` create a proxy that wraps a particular jetty version Server object
`void` `execute()`
`java.io.File` `findJettyWebXmlFile(java.io.File webInfDir)` Try and find a jetty-web.xml file, using some historical naming conventions if necessary.
`abstract void` `finishConfigurationBeforeStart()`
`abstract java.lang.Object[]` `getConfiguredConnectors()`
`abstract java.lang.Object` `getConfiguredRequestLog()`
`abstract java.lang.Object[]` `getConfiguredUserRealms()`
`java.lang.String` `getContextPath()`
`protected java.lang.String` `getDefaultHttpPort()`
`java.lang.String` `getJettyXmlFileName()`
`org.apache.maven.project.MavenProject` `getProject()`
`int` `getScanIntervalSeconds()`
`java.util.ArrayList` `getScanList()`
`java.util.ArrayList` `getScannerListeners()`
`JettyPluginServer` `getServer()`
`SystemProperty[]` `getSystemProperties()`
`java.io.File` `getTmpDirectory()`
`JettyPluginWebApplication` `getWebApplication()`
`java.io.File` `getWebDefaultXml()`
`void` `setScanList(java.util.ArrayList list)`
`void` `setScannerListeners(java.util.ArrayList listeners)`
`void` `setServer(JettyPluginServer server)`
`void` `setWebApplication(JettyPluginWebApplication webapp)`
`void` `startJetty()`
`protected void` `startScanner()` Run a scanner thread on the given list of files and directories, calling stop/start on the given list of LifeCycle objects if any of the watched files change.

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PORT_SYSPROPERTY

    public java.lang.String PORT_SYSPROPERTY

### Constructor Detail

#### AbstractJettyMojo

    public AbstractJettyMojo()

### Method Detail

#### getConfiguredUserRealms

    public abstract java.lang.Object[] getConfiguredUserRealms()

Returns:
  Returns the realms configured in the pom

#### getConfiguredConnectors

    public abstract java.lang.Object[] getConfiguredConnectors()

Returns:
  Returns the connectors configured in the pom

#### getConfiguredRequestLog

    public abstract java.lang.Object getConfiguredRequestLog()

#### checkPomConfiguration

    public abstract void checkPomConfiguration()
                                        throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### configureScanner

    public abstract void configureScanner()
                                   throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### applyJettyXml

    public abstract void applyJettyXml()
                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### createServer

    public abstract JettyPluginServer createServer()
                                            throws java.lang.Exception

create a proxy that wraps a particular jetty version Server object

Returns:
Throws:
  `java.lang.Exception`

#### finishConfigurationBeforeStart

    public abstract void finishConfigurationBeforeStart()
                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getProject

    public org.apache.maven.project.MavenProject getProject()

#### getTmpDirectory

    public java.io.File getTmpDirectory()

#### getWebDefaultXml

    public java.io.File getWebDefaultXml()

#### getContextPath

    public java.lang.String getContextPath()

Returns:
  Returns the contextPath.

#### getScanIntervalSeconds

    public int getScanIntervalSeconds()

Returns:
  Returns the scanIntervalSeconds.

#### getSystemProperties

    public SystemProperty[] getSystemProperties()

#### getJettyXmlFileName

    public java.lang.String getJettyXmlFileName()

#### getWebApplication

    public JettyPluginWebApplication getWebApplication()

#### setWebApplication

    public void setWebApplication(JettyPluginWebApplication webapp)

#### getServer

    public JettyPluginServer getServer()

#### setServer

    public void setServer(JettyPluginServer server)

#### setScanList

    public void setScanList(java.util.ArrayList list)

#### getScanList

    public java.util.ArrayList getScanList()

#### setScannerListeners

    public void setScannerListeners(java.util.ArrayList listeners)

#### getScannerListeners

    public java.util.ArrayList getScannerListeners()

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`

#### startJetty

    public void startJetty()
                    throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### getDefaultHttpPort

    protected java.lang.String getDefaultHttpPort()

#### configureWebApplication

    public void configureWebApplication()
                                 throws java.lang.Exception

Subclasses should invoke this to setup basic info on the webapp

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `java.lang.Exception`

#### startScanner

    protected void startScanner()

Run a scanner thread on the given list of files and directories, calling stop/start on the given list of LifeCycle objects if any of the watched files change.

#### findJettyWebXmlFile

    public java.io.File findJettyWebXmlFile(java.io.File webInfDir)

Try and find a jetty-web.xml file, using some historical naming conventions if necessary.

Parameters:
  `webInfDir` -
Returns: